{% extends 'base.html.twig' %}

{% block title %}{% endblock %}

{% block body %}


<body class="body-panier">
    


    <aside class="container">
        
        <div class="mangatheque-title">
            <a href="{{ path('app_home') }}" class="btn">MangaDex</a>
        </div>
    
        <nav>
            <ul class="nav-ul">
               <li class="portfolio-buttons"><i class="far fa-newspaper fa-2x"></i><a href="{{ path('app_home') }}">Nouveautés</a></li>
                <li class="portfolio-buttons"><i class="fas fa-book fa-2x"></i><a href="{{ path('app_home_collection') }}">Collection</a></li>
                <li class="portfolio-buttons"><i class="fas fa-search fa-2x"></i><a href="{{ path('app_home_recherche') }}">Recherche</a></li>
                <li class="portfolio-buttons"><i class="fas fa-shopping-basket fa-2x"></i><a href="{{ path('app_home_panier') }}">Panier</a></li>
            </ul>
        </nav>

        
        
        <div class="account">
                <p><i class="fas fa-user-circle"></i> 
                {% if app.user %}
                    <a href="{{ path('app_home_account') }}">Compte</a></p>   
                {% else %}
                    <a href="{{ path('app_register') }}">Se Connecter</a></p>      
                {% endif %}
                
                
                 
        </div>
        
    </aside>

    <section>

        <div class="account-page">
            

            <div>
                <a href="{{ path('app_home_account') }}" class="button button5">MES DONNEES PERSONELLES</a>
            </div>

            <div>
                <a id="btn-commande" href="{{ path('app_home_account_commande') }}" class="button button5">MES COMMANDES</a>
            </div> 
        </div>

        <p class="line"></p>
           


       
            {% for commande in customer %} 
            <div class="container-flex-panier">
                <div class="card-panier">
                    <div class="card-commande-box">
                    <h2 class="h2-commande">Date de commande</h2>
                        <p class="text-commande">{{ commande.createdAt ? commande.createdAt|date('Y-m-d H:i:s') : '' }}</p>
                    </div>
                    <div class="card-commande-box">
                        <h2 class="h2-commande">Payer le</h2>
                        <p class="text-commande">{{ commande.paidAt ? commande.createdAt|date('Y-m-d H:i:s') : '' }}</p>
                    </div>
                    <div class="card-commande-box">
                        <h2 class="h2-commande">Status</h2>
                        <p class="text-commande">{{ commande.status }}</p>
                    </div>
                    <div class="card-commande-box">
                        <h2>Détails</h2>
                        <form action="">
                            <button><i class="fas fa-trash"></i></button>
                        </form>                  
                </div>
            </div>
            {% else %}
            {% endfor %}
            </div>          
        </div>  




















            <div class="btn-account-info">  
                <div>
                    <a href="{{ path('app_logout') }}" class="btn-logoff">Se déconnecter</a>
                </div> 
            </div>

        </div>   
    </section>

   


<section class="mobile-footer">
    <nav>
        <ul class="nav-footer">
            <li><a href=""><i class="far fa-newspaper fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-book fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-search fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-shopping-basket fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-user-circle"></i></a></li>
        </ul>
    </nav>
        
</section>
{% endblock %}